> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kas.fyi/llms.txt
> Use this file to discover all available pages before exploring further.

# KRC20 token charts data

> Retrieve charts data for a KRC20 token

## Cost

This endpoint costs **0.01 RU** (Request Units) per call.


## OpenAPI

````yaml GET /v1/tokens/krc20/{ticker}/chart
openapi: 3.0.0
info:
  title: Kaspa Developer Platform (KDP) API
  description: >-
    A high-performance REST API providing real-time and historical data from the
    Kaspa blockchain
  version: '1.0'
  contact: {}
servers:
  - url: https://api.kas.fyi
    description: Mainnet API
security: []
tags:
  - name: Address
    description: Operations related to Kaspa addresses
  - name: Block
    description: Operations related to Kaspa blocks
  - name: Transaction
    description: Operations related to Kaspa transactions
  - name: Token
    description: Operations related to KRC20 tokens
  - name: Kaspa Node RPC Proxy
    description: Direct proxy to Kaspa node RPC methods
paths:
  /v1/tokens/krc20/{ticker}/chart:
    get:
      tags:
        - Token
      summary: KRC20 token charts data
      description: Retrieve charts data for a KRC20 token
      operationId: TokenController_getTokenChartsData
      parameters:
        - name: ticker
          required: true
          in: path
          description: A Kaspa KRC20 ticker
          schema:
            example: NACHO
            type: string
        - name: type
          required: true
          in: query
          description: >-
            Type of the charts data. "candles" for price history, "stats" for
            other stats like transfer/holders/minting counts
          schema:
            enum:
              - candles
              - stats
            type: string
        - name: interval
          required: true
          in: query
          description: Interval for the charts data
          schema:
            enum:
              - 1d
              - 7d
              - 1m
              - 1y
            type: string
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTokenChartsDataResponse'
      security:
        - x-api-key: []
components:
  schemas:
    GetTokenChartsDataResponse:
      type: object
      properties:
        candles:
          type: array
          items:
            $ref: '#/components/schemas/TokenCandle'
        stats:
          type: array
          items:
            $ref: '#/components/schemas/TokenStat'
      required:
        - candles
        - stats
    TokenCandle:
      type: object
      properties:
        timestamp:
          type: string
          description: Timestamp in ISO 8601 format
        ticker:
          type: string
        open:
          type: number
        high:
          type: number
        low:
          type: number
        close:
          type: number
        open_kas:
          type: number
        high_kas:
          type: number
        low_kas:
          type: number
        close_kas:
          type: number
      required:
        - timestamp
        - ticker
        - open
        - high
        - low
        - close
        - open_kas
        - high_kas
        - low_kas
        - close_kas
    TokenStat:
      type: object
      properties:
        t:
          type: number
          description: Timestamp (unix timestamp)
        h:
          type: number
          description: Holders count
        m:
          type: number
          description: Minting count
        tf:
          type: number
          description: Transfers count
      required:
        - t
        - h
        - m
        - tf
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        API key required for authentication. Get your API key at
        https://developer.kas.fyi

````